View Issue Details

IDProjectCategoryView StatusLast Update
0000782Bug Tracking[All Projects] Feature Requestpublic2017-06-09 20:50
Reporterjason 
PrioritynoneSeverityfeatureReproducibilityN/A
Status resolvedResolutionno change required 
Projectionnone 
Product Version[nofusscomputing.com] 2017Product Build 
Target VersionFixed in Version2.3.0 
Summary0000782: Add ability to log child tickets directly from an open ticket
DescriptionCurrent practice is to raise a ticket and then use the relationships function:
Child of
Parent of
Related to

Is there a way to create "relationship" tickets directly from an open ticket.
E.g if I have ticket 761 Open in my browser when I scroll to the relationships section it would be good to be able select a relationships and raise the new ticket from there.
TagsNo tags attached.
StageComplete

Activities

Jon

2017-05-22 18:32

developer   ~0004294

overall answer is no.

this could be written into the code of mantis and would take a guesstimated 40-50hrs to complete (I would have to read the mantis bt code to find the best spot to put it). then every time mantis is updated that time would progressively increase for each update, if I was to add it.

weighing up the benefits versus the effort, 50 odd hours against 30 seconds for an end user; not worth the time to invest.

you can however request from the mantis development team the feature as they may be willing to write this feature in. see https://www.mantisbt.org/bugs/

jason

2017-05-23 07:41

reporter   ~0004301

Raised ticket 22916 with MantisBT

jason

2017-05-23 07:42

reporter   ~0004302

Jon can you re-resolve? I am unable to

Jon

2017-05-23 16:54

developer   ~0004303

correction to 0000782:0004294

after some research today it has been discovered that you can.

if you click the clone button it will clone the current ticket including all fields. from there adjust as necessary including setting a relationship with the cloned ticket and click save.

jason

2017-05-29 15:50

reporter   ~0004374

This ticket can be resolved as feature already exists

Jon

2017-06-09 20:50

manager   ~0004440

Closing as requested

Issue History

Date Modified Username Field Change
2017-05-22 12:04 jason New Issue
2017-05-22 18:32 Jon Status new => resolved
2017-05-22 18:32 Jon Resolution open => no change required
2017-05-22 18:32 Jon Fixed in Version => 2.3.0
2017-05-22 18:32 Jon Stage => Complete
2017-05-22 18:32 Jon Note Added: 0004294
2017-05-23 07:41 jason Status resolved => feedback
2017-05-23 07:41 jason Resolution no change required => reopened
2017-05-23 07:41 jason Note Added: 0004301
2017-05-23 07:42 jason Note Added: 0004302
2017-05-23 07:42 jason Status feedback => new
2017-05-23 16:54 Jon Note Added: 0004303
2017-05-29 15:50 jason Note Added: 0004374
2017-06-09 20:50 Jon Status new => resolved
2017-06-09 20:50 Jon Resolution reopened => no change required
2017-06-09 20:50 Jon Note Added: 0004440